/* @(#)system.c	4.1 (Berkeley) 12/21/80 */

#include <config.h>

#if defined(HAVE_STDIO_H)
#include <stdio.h>			/* for perror() prototype */
#endif

#if defined(HAVE_UNISTD_H)
#include <unistd.h>			/* for read() et al prototypes */
#endif

#if defined(HAVE_ERRNO_H)
#include <errno.h>
#endif

#if defined(HAVE_SYS_TYPES_H)
#include <sys/types.h>
#endif

#include <stdc.h>			/* preivate header file */
#include <xsignal.h>			/* private header file */
#include <xstring.h>			/* private header file */
#include <xwait.h>			/* private header file */

int	cshsystem ARGS((const char *s));

#if STDC
int
cshsystem(const char *s)
#else
int
cshsystem(s)
const char *s;
#endif
{
	pid_t pid;
	int w;
	wait_arg_t status;

#if defined(__NeXT__)
#if defined(_POSIX_SOURCE)
#define Status status
#else
#define Status status.w_status
#endif
#else
#define Status status
#endif

#if 0
	char *getshell();	/* figure out users shell */
#endif
	char *shell;
	char *tail;

	shell = "/bin/csh";
	/** shell = getshell(); **/
	tail = strrchr(shell, '/');
	if (tail != (char *)NULL) {
		tail++;
	}

	if ((pid = fork()) == 0) {
		execl("/bin/csh", "csh", "-c", s, 0);
		/**execl(shell, (tail == NULL) ? shell : tail, "-c", s, 0);*/
		perror("cshsystem -- execl failed");
		_exit(errno);
	}

	if (pid == -1) {
		perror("cshsystem -- fork failed");
		_exit(errno);
	}

#if defined(HAVE_TERMIOS_H)
	signal(SIGINT, (SIG_PF)SIG_IGN);
	signal(SIGQUIT, (SIG_PF)SIG_IGN);
	while ((w = (int)wait(&status)) != pid && w != -1)
		;
	if (w == -1)
		Status = -1;
	signal(SIGINT, (SIG_PF)SIG_DFL);
	signal(SIGQUIT, (SIG_PF)SIG_DFL);
#else /* NOT defined(HAVE_TERMIOS_H) */
	{
		register RETSIGTYPE (*istat)(), (*qstat)();
		istat = signal(SIGINT, (SIG_PF)SIG_IGN);
		qstat = signal(SIGQUIT, (SIG_PF)SIG_IGN);
		while ((w = (int)wait(&status)) != pid && w != -1)
				;

		if (w == -1)
				Status = -1;
		signal(SIGINT, (SIG_PF)istat);
		signal(SIGQUIT, (SIG_PF)qstat);
	}
#endif /* defined(HAVE_TERMIOS_H) */

	return(Status);
}
