.\" -*-nroff-*-
.\" ====================================================================
.\"  @Troff-man-file{
.\"     author          = "Nelson H. F. Beebe",
.\"     version         = "4.06",
.\"     date            = "12 April 2004",
.\"     time            = "07:13:03 MST",
.\"     filename        = "dired.man",
.\"     address         = "Center for Scientific Computing
.\"                        University of Utah
.\"                        Department of Mathematics, 110 LCB
.\"                        155 S 1400 E RM 233
.\"                        Salt Lake City, UT 84112-0090
.\"                        USA",
.\"     telephone       = "+1 801 581 5254",
.\"     FAX             = "+1 801 581 4148",
.\"     URL             = "http://www.math.utah.edu/~beebe",
.\"     checksum        = "37556 1123 3979 28441",
.\"     email           = "beebe@math.utah.edu, beebe@acm.org,
.\"                        beebe@computer.org (Internet)",
.\"     codetable       = "ISO/ASCII",
.\"     keywords        = "directory editor, dired",
.\"     supported       = "yes",
.\"     docstring       = "This file is the UNIX nroff/troff manual page
.\"                        documentation for dired, a file directory
.\"                        editor.
.\"
.\"                        The checksum field above contains a CRC-16
.\"                        checksum as the first value, followed by the
.\"                        equivalent of the standard UNIX wc (word
.\"                        count) utility output of lines, words, and
.\"                        characters.  This is produced by Robert
.\"                        Solovay's checksum utility.",
.\"  }
.\" ====================================================================
.TH DIRED 1 "12 April 2004" "Version 4.06"
.\"=====================================================================
.SH NAME
dired \- file directory editor
.\"=====================================================================
.SH SYNOPSIS
.B dired
[
.B \-?
]
[
.B \-b
]
[
.B \-d
]
[
.BI \-f firstfile
]
[
.BI \-F firstfile
]
.if n .ti +\w'\fBdired\fP\ 'u
[
.BI \-g "[gid-or-groupname]"
]
[
.B \-h
]
[
.B \-m
]
.if n .ti +\w'\fBdired\fP\ 'u
.if t .ti +\w'\fBdired\fP\ 'u
[
.BR \- [ s|r ][ c|g|G|i|l|n|N|r|s|t|u|U|w ]
]
.if n .ti +\w'\fBdired\fP\ 'u
[
.B \-S
]
[
.BI \-u "[uid-or-username]"
]
[
.B \-V
]
[
.B \-v
]
.if n .ti +\w'\fBdired\fP\ 'u
[
.BR \-w [ f|h|number ]
]
.if t .ti +\w'\fBdired\fP\ 'u
[
.IR directory-list | file-list
]
.\"=====================================================================
.SH DESCRIPTION
.B dired
displays a long-form
.BR ls (1)
directory listing on the screen of a display terminal and allows you
to `edit' and peruse that listing by moving up and down, deleting,
undeleting, editing, and displaying entries.  The
.BR emacs (1)
text editor provides a similar capability in an editor window.
The shell
.I TERM
variable should be set to the standard
string which the Berkeley
.I termcap
library uses for distinguishing terminals.  With no argument, the
connected directory is used.  With only one argument, if that argument
is a directory, it is used.  With multiple arguments, (or a single
non-directory argument) the argument(s) are interpreted as filenames.
.B dired
then types `Reading' and gets information about the various
files/directories in your specification.  This may take a short while
(depending on how many you give it), so it types one period (.) after
the word `Reading' for
every 10 files it has gathered information about.  With this, you
can keep track of its progress.  Interrupts, hangups, and the like
are disabled since your terminal is put into a special mode that
is only changed when you quit with the
.I q
command.
.PP
The format of the screen is as follows: each line represents a file (or
directory), the name of which is right-most.  From left the fields
are: mode, link count, owner, size, write date and name.  See
.BR ls (1)
for a description of what each of these mean.  You move up and down
the column immediately left of the filename.  The bottom
half of the screen is used for displaying files via the
.BR t ype
command.
If there are too many files to all fit on one window, more windows
are allocated.  The
.B f
and
.B b
commands can be used for stepping forward
and backward windows.
The last screen line is used as an `echo' line for displaying error messages
and reading arguments.
It also displays the full directory name if `direding' a directory.
When in split screen mode, the divider serves also as a `linear indicator'
showing where the
current window is relative to the entire list of files.
The symbols `(' and `)' denote the window.  Square brackets
replace `(' and/or `)' when the window is the first and/or last window.
A single `o' is used to represent the window when the window size is small
compared to the total number of
files.
.\"=====================================================================
.SH OPTIONS
Command-line options, which are inherited by recursive invocations of
.BR dired ,
are:
.\"---------------------------------------------------------------------
.TP
.BI \-?
Display a brief help message on
.I stderr
and quit with a success return code.
.\"---------------------------------------------------------------------
.TP
.BI \-b
Select batch mode:
.B dired
then sends its output to
.I stdout
without reading keyboard input, and without colorizing filenames.
See the
.B "COLOR SUPPORT"
section below for details.
.IP
.B dired
will normally select batch mode automatically when its output is not a
terminal, but this option provides a way to force that for systems
where
.B dired
is unable to detect non-terminal output.
.IP
Use this option in conjunction with the sorting options described
below as an alternative to
.BR ls (1).
.\"---------------------------------------------------------------------
.TP
.BI \-d
This flag is normally not specified by users;
.B dired
sets it for
.B dired
subprocesses.
.\"---------------------------------------------------------------------
.TP
.BI \-f firstfile
Start the output with the specified file on the first line of the
display, but if that file is a directory, prevent attempts to edit it
recursively with the `e' command.
.IP
This option is ignored in batch mode.
.\"---------------------------------------------------------------------
.TP
.BI \-F firstfile
Start the output with the specified file on the first line of the
display.
.IP
This option is ignored in batch mode.
.\"---------------------------------------------------------------------
.TP
.BI \-g "[gid-or-groupname]"
Show only files belonging to the specified group id number or group
name.  If the number or name is omitted, then the group id of the
current user is assumed.
.\"---------------------------------------------------------------------
.TP
.BR \- [ s|r ][ c|g|G|i|l|n|N|r|s|t|u|U|w ]
Forward or reverse sort by
.IR "inode-change date" ,
.IR "group name" ,
.IR "group number" ,
.IR "link count" ,
.IR name " (lexicographic) ,"
.IR name " (numeric) ,"
.IR "read date" ,
.IR size ,
.IR type ,
.IR "user name" ,
.IR "user number" ,
or
.I "write date"
respectively.  ``Normal sort'' is the order most often desired; it is
descending for size and link counts, from newest to oldest for date
sorts, and ascending for other sorts.  The default is to sort by name.
.IP
For equal sort keys, do a secondary sort to put the filenames in
ascending order.
.IP
Numeric sorting of filenames with
.B \-sN
is useful in directories such as
.I /proc
and Usenet news trees, where files are named 1, 2, 3, .\|.\|..
.\"---------------------------------------------------------------------
.TP
.BI \-h
Display a brief help message on
.I stderr
and quit with a success return code.
.\"---------------------------------------------------------------------
.TP
.BI \-m
Monochrome mode: suppress the default colorization of filenames.
Colorization can still be toggled on and off in the
.B dired
session with the
.I C
command.
See the
.B "COLOR SUPPORT"
section below for details.
.\"---------------------------------------------------------------------
.TP
.BI \-u "[uid-or-username]"
Show only files belonging to the specified user id number or user
name.  If the number or name is omitted, then the user id of the
current user is assumed.
.\"---------------------------------------------------------------------
.TP
.BI \-S
Do not show symbolic link targets, reducing output line width
requirements.  The directory status display then reflects the file
that the symbolic link points to, rather than the link itself.
Without this option, the display corresponds to the link.
.\"---------------------------------------------------------------------
.TP
.B \-V
Same as
.BR \-v .
.\"---------------------------------------------------------------------
.TP
.B \-v
Show the program version on
.IR stderr ,
and quit immediately.
.\"---------------------------------------------------------------------
.TP
.B \-w[f|h|number]
Use
.B number
lines for the directory index window, reserving the other half for quick
file display.
.B f
means use the full screen for the index.
.B h
means use half of the screen for the index.
.B f
is the default.
.\"=====================================================================
.SH "KEYBOARD COMMANDS"
Commands consist of single characters, with any necessary arguments
prompted for, and displayed in the echo line.  Several commands take
an optional non-negative integer count argument, as in
.BR vi (1).
.PP
Here are the keyboard commands that control
.BR dired ,
organized into several categories:
.\"*********************************************************************
.PP
.B "Help"
.RS
.\"---------------------------------------------------------------------
.TP \w'MMMMMM'u+2n
.BR ? , " h"
Display a help message summarizing the keyboard commands.
.RE
.\"*********************************************************************
.PP
.B "Quitting dired"
.RS
.\"---------------------------------------------------------------------
.TP \w'MMMMMM'u+2n
.B a
Abort out of the current directory.  No deletions are done.
.\"---------------------------------------------------------------------
.TP
.B A
Abort completely out of
.BR dired ,
with no deletions.
.\"---------------------------------------------------------------------
.TP
.B q
Exit
.BR dired ,
displaying files marked for deletion and requiring confirmation before
deleting them.  If no confirmation is given (typing anything other
than
.IR y ),
.B dired
goes back to its display.
.\"---------------------------------------------------------------------
.TP
.B Q
Quit
.BR dired ,
with no deletions.
.RE
.\"*********************************************************************
.PP
.B "Actions on files"
.RS
.\"---------------------------------------------------------------------
.TP \w'MMMMMM'u+2n
.B !
Prompt for a system command to invoke.  The command is executed,
and confirmation is required before returning to the display.
All
.B %
characters in the command are replaced with the full pathname of the current
entry, and all
.B #
chars are replaced with just the trailing filename component
(what you see on the screen).
.\"---------------------------------------------------------------------
.TP
.B .
Repeat the previous
.B !
shell command, substituting the current entry for any special chars (%#)
in the original command.
.\"---------------------------------------------------------------------
.TP
.B e
Run the editor defined in the
.I EDITOR
environment variable
upon the current file.  If
.I EDITOR
is not defined,
.BR vi (1)
is used.
However, if the current
file is a directory, it is not edited, but rather,
.B dired
forks a copy of itself upon that directory.  In this manner, you can
examine the contents of that directory and thus move down the
directory hierarchy.
.\"---------------------------------------------------------------------
.TP
.B m
Run the program defined by the
.I PAGER
environment variable program on the current entry.  If
.I PAGER
is not defined, run
.BR more (1).
.\"---------------------------------------------------------------------
.TP
.B P
Print the current file on the lineprinter.
.\"---------------------------------------------------------------------
.TP
.B t
Type the file to the terminal; this is considerably faster than
starting an editor on the file.  In two-window mode, the bottom window
is used, pausing after each screenful.  The type-out may be
interrupted by
.B <control C>
or
.BR q .
.\"---------------------------------------------------------------------
.TP
.B T
Same as
.BR t ,
but without any pauses at end-of-screen.
.RE
.\"*********************************************************************
.PP
.B "Deletion and undeletion"
.RS
.\"---------------------------------------------------------------------
.TP \w'MMMMMM'u+2n
.B d
Mark the current entry for deletion.  Upon exit and confirmation
(or re-reading using the
.B `R'
command), this entry will be deleted.
.I Warning:
this includes directories!
If it is a directory, everything in it and underneath it will be
removed.
.\"---------------------------------------------------------------------
.TP
.B D
Mark
.I all
files for deletion.
.RB ( `U'
undoes this).
.\"---------------------------------------------------------------------
.TP
.B ~
Mark files with names ending in ~ for deletion.
.\"---------------------------------------------------------------------
.TP
.B #
Mark files with names beginning with # for deletion.
.\"---------------------------------------------------------------------
.TP
.B u
Undelete the current entry, if it was previously marked for deletion.
.\"---------------------------------------------------------------------
.TP
.B U
Cancel all deletion requests.
.RE
.\"*********************************************************************
.PP
.B "Display"
.RS
.\"---------------------------------------------------------------------
.TP \w'MMMMMM'u+2n
.B <space>
Re-print the directory path name.
.\"---------------------------------------------------------------------
.TP
.B c
Refresh the current line.
.\"---------------------------------------------------------------------
.TP
.B \e
Toggle between split-screen mode and full-screen mode.
.\"---------------------------------------------------------------------
.TP
.B "<control G>"
Show the current file number, the total number of files, and the
percentage through the file.  Useful in full screen mode when there is no
linear indicator.
.\"---------------------------------------------------------------------
.TP
.BR l , " <control L>"
Refresh the current window.
.\"---------------------------------------------------------------------
.TP
.B p
Display the full path name of the current file; embedded control
characters are shown with graphics.
.\"---------------------------------------------------------------------
.TP
.B R
Re-read the directory or file list.  If files are marked for deletion,
.B dired
will first ask for confirmation and then delete them before re-reading.
This is useful after operations done during shell escapes (e.g.,
.BR chmod (1)).
.\"---------------------------------------------------------------------
.TP
.BR r , " s"
Sort the file list by various fields, with the field selected by the
next input character.  If that character is
.BR <ESC> ,
then cancel the sort request.  See the documentation of the
.B \-s
option above for a description of the sort fields and sort orders.
.RE
.\"*********************************************************************
.PP
.B "Miscellaneous"
.RS
.\"---------------------------------------------------------------------
.TP \w'MMMMMM'u+2n
.B <ESC>
Cancel a sort or a count.
.TP
.B C
Toggle colorization of filenames.
.RE
.\"*********************************************************************
.PP
.B "Moving around"
.RS
.\"---------------------------------------------------------------------
.TP \w'MMMMMM'u+2n
.BR "<down arrow>" , " <lf>" , "^N" , " j"
Step to the next file.  If this crosses a window boundary, the next
window is displayed with a one-line overlap.  May be preceded by a
count.
.\"---------------------------------------------------------------------
.TP
.BR "<up arrow>" , " ^" , " -" , " k" , " <backspace>" , " ^P"
Step to previous file.  If this crosses a window boundary, the
previous window is displayed with a one-line overlap.  May be preceded by
a count.
.\"---------------------------------------------------------------------
.TP
.BR "<PageDown>" , " <right arrow>" , " f"
Go forward a window, leaving a one-line overlap.  May be preceded by a
count.
.\"---------------------------------------------------------------------
.TP
.BR "<PageUp>" , "<left arrow>" , " b"
Go backward a window, leaving a one-line overlap.  May be preceded by a
count.
.\"---------------------------------------------------------------------
.TP
.BR < , " [" , " (" , " {"
Go to the start of the file list.  With an argument
.IR n ,
go
.I n/10
of the way from the start.
.\"---------------------------------------------------------------------
.TP
.BR > , " ]" , " )" , " }"
Go to the end of the file list.  With an argument
.IR n ,
go
.I n/10
of the way from the end.
.\"---------------------------------------------------------------------
.TP
.B E
Go up to the next higher level directory.  In the case of an
argument list of files to
.BR dired ,
go to the parent of the directory which contains the current file.
.\"---------------------------------------------------------------------
.TP
.B G
Go to the file number given by the preceding count.  With no count,
go to the last file as in
.BR vi (1).
.\"---------------------------------------------------------------------
.TP
.B M
Remember the current entry on the mark stack.  You can later return to
it with the
.B J
(jump) command.
.\"---------------------------------------------------------------------
.TP
.B J
Pop the top entry from the mark stack, and jump to it.
.\"---------------------------------------------------------------------
.TP
.B L
Pop the top entry from the view stack, and jump to it.  Each screen
display adds an entry to the view stack, except for views created by
this command, so you can use
.B L
to display views in reverse order.
.RE
.\"*********************************************************************
.PP
.B "Searching"
.RS
.\"---------------------------------------------------------------------
.TP \w'MMMMMM'u+2n
.BR / <regular-expression>
Locate a file matching the given regular expression, as defined in
.BR re_comp (3)
and
.BR re_exec (3).
The search is in the forward direction.  The regular expression is
remembered for subsequent use by the
.B n
and
.B N
commands.  If the regular expression is empty, the last one remembered
is used.
.\"---------------------------------------------------------------------
.TP
.B n
Find the next instance in the forward direction of the regular
expression previously-defined by a
.I `/'
command.
.\"---------------------------------------------------------------------
.TP
.B N
Find the next instance in the backward direction of the regular
expression previously-defined by a
.I `/'
command.
.RE
.\"=====================================================================
.SH "COLOR SUPPORT"
From version 4.00,
.B dired
supports color coding of files by type and by extension.
.PP
The color support is identical to that provided by the
GNU
.BR ls (1)
command: if the terminal type defined by the
.I TERM
environment variable is known to support color
(i.e., is one of
.IR "con132x25" ,
.IR "con132x30" ,
.IR "con132x43" ,
.IR "con132x60" ,
.IR "con80x25" ,
.IR "con80x28" ,
.IR "con80x30" ,
.IR "con80x43" ,
.IR "con80x50" ,
.IR "con80x60" ,
.IR "console" ,
.IR "linux" ,
.IR "vt100" ,
or
.IR "xterm" ),
then built-in defaults determine file colors.
.PP
Do not be disappointed if your terminal type is one of the above, but
the output is still monochrome: only recent versions of UNIX terminal
emulators, such as
.BR xterm (1),
contain support for text color beyond the normal foreground and
background colors.  However, all should have at least bold, flashing,
underlined, and reverse video capability.
.PP
The defaults can be overridden by settings of the
.I LS_COLORS
(or
.IR LS_COLOURS )
environment variable; that variable augments, but does not eliminate,
the internal defaults.  Thus, for customization, the user need only
supply changed values.
.PP
The value of the
.I LS_COLORS
variable is a
.BR termcap (1)-like
capability list: a colon-separated list of
.I key=value
pairs.  As in computer programming languages, when there are repeated
assignments to the same key name, only the last is effective.
.PP
Keys may be one of these file types or commands:
.RS
.TP
.IR bd
block device,
.TP
.IR cd
character device,
.TP
.IR di
directory,
.TP
.IR ec
end control sequence code (replaces
.IR lc+no+rc ),
.TP
.IR ex
executable file,
.TP
.IR fi
regular file,
.TP
.IR lc
left control sequence code,
.TP
.IR ln
symbolic link,
.TP
.IR mi
missing file (defaults to
.IR fi ),
.TP
.IR no
normal (non-filename) text,
.TP
.IR or
orphaned symbolic link (defaults to
.IR ln ),
.TP
.IR pi
named pipe (FIFO),
.TP
.IR rc
right control sequence code,
.TP
.IR so
socket.
.RE
.PP
Keys may also be of the form
.IR "*.ext"
to select files by dotted extension.
.PP
Values are terminal color control sequences, usually
semicolon-separated lists of numbers, as follows:
.RS
.TP
.I " 0"
restore default color
.TP
.I " 1"
brighter colors
.TP
.I " 4"
underlined text
.TP
.I " 5"
flashing text
.TP
.I " 7"
reverse video
.TP
.I "30"
black foreground
.TP
.I "31"
red foreground
.TP
.I "32"
green foreground
.TP
.I "33"
yellow (or brown) foreground
.TP
.I "34"
blue foreground
.TP
.I "35"
purple foreground
.TP
.I "36"
cyan foreground
.TP
.I "37"
white (or gray) foreground
.TP
.I "40"
black background
.TP
.I "41"
red background
.TP
.I "42"
green background
.TP
.I "43"
yellow (or brown) background
.TP
.I "44"
blue background
.TP
.I "45"
purple background
.TP
.I "46"
cyan background
.TP
.I "47"
white (or gray) background
.RE
.PP
For convenience, here is the same data, sorted by color names instead
of color numbers:
.RS
.TP
.I "40"
black background
.TP
.I "30"
black foreground
.TP
.I "44"
blue background
.TP
.I "34"
blue foreground
.TP
.I "46"
cyan background
.TP
.I "36"
cyan foreground
.TP
.I "42"
green background
.TP
.I "32"
green foreground
.TP
.I "45"
purple background
.TP
.I "35"
purple foreground
.TP
.I "41"
red background
.TP
.I "31"
red foreground
.TP
.I "47"
white (or gray) background
.TP
.I "37"
white (or gray) foreground
.TP
.I "43"
yellow (or brown) background
.TP
.I "33"
yellow (or brown) foreground
.RE
.PP
Any required special characters in capability values can be
represented by backslash or caret escape sequences:
.RS
.TP
.I "\e?"
rubout (ASCII DELete)
.TP
.I "\e_"
space
.TP
.I "\ea"
alert (ASCII BEL)
.TP
.I "\eb"
backspace (ASCII BS)
.TP
.I "\ee"
escape (ASCII ESCape)
.TP
.I "\ef"
formfeed (ASCII FF)
.TP
.I "\en"
newline (ASCII NL)
.TP
.I "\eooo"
3-octal-digit character value
.TP
.I "\er"
carriage return (ASCII CR)
.TP
.I "\et"
horizontal tab (ASCII HT)
.TP
.I "\ev"
vertical tab (ASCII VT)
.TP
.I "\exhh"
2-or-more-hexadecimal-digit character value
.TP
.I "^x"
Control character formed from the five low-order bits of the
character `x'
.RE
.PP
Backslash can also be used to protect other characters, notably,
backslash, colon, and equals, from misinterpretation: `\e\e'
reduces to a single `\e', and `e:' to a non-separating colon.
.PP
The GNU
.BR dircolors (1)
command can be used to display the default setting
of
.I LS_COLORS
used by
.BR dired .
For convenience, the default is displayed here, but for readability,
newlines have been inserted after the colons separating
.I key=value
pairs, and the pairs have been sorted into ascending order:
.RS
.nf
.I *.arj=01;31:
.I *.avi=01;37:
.I *.bmp=01;35:
.I *.deb=01;31:
.I *.dl=01;37:
.I *.gif=01;35:
.I *.gl=01;37:
.I *.gz=01;31:
.I *.jpg=01;35:
.I *.lzh=01;31:
.I *.mpg=01;37:
.I *.ppm=01;35:
.I *.tar=01;31:
.I *.taz=01;31:
.I *.tga=01;35:
.I *.tgz=01;31:
.I *.tif=01;35:
.I *.xbm=01;35:
.I *.xpm=01;35:
.I *.Z=01;31:
.I *.z=01;31:
.I *.zip=01;31:
.I bd=40;33;01:
.I cd=40;33;01:
.I di=01;34:
.I ex=01;32:
.I fi=0:
.I lc=\ee[:
.I ln=01;36:
.I no=0:
.I or=40;31;01:
.I pi=40;33:
.I rc=m:
.I so=01;35:
.fi
.RE
.PP
.B dired
writes each filename to the screen in the form
.IR <lc><color code><rc><filename><ec> .
If the
.I ec
command is undefined, the sequence
.I <lc><no><rc>
is used instead.  For example, the default setting shown above for the
.I di
directory file capability,
.IR "01;34" ,
produces bright blue text on the screen background, and the character
string that is output to the screen is
.IR "\ee[01;34mfilename\ee[0m" .
.PP
If you routinely use colored screen backgrounds, you should define
background, as well as foreground, colors in each color capability
value; otherwise, you may find that the color selected for certain
files is difficult, or impossible, to see against the colored
background.
.\"=====================================================================
.SH DIAGNOSTICS
The error messages should be self-explanatory.
.PP
The exit codes returned to the invoking program are as follows:
.RS
.TP
.B 0
success (normal termination);
.TP
.B 1
failure (usually accompanied by an explanatory message);
.TP
.B 2
failed to open \fCtermcap\fP file;
.TP
.B 3
unknown terminal type;
.TP
.B 69
user requested abort with
.I A
or
.IR Q ,
or else editor invocation failed.
.RE
.\"=====================================================================
.SH "ENVIRONMENT VARIABLES"
.TP
.I LS_COLORS
color capability list; see the
.B "COLOR SUPPORT"
section above.
.TP
.I LS_COLOURS
alternate spelling of
.IR LS_COLORS ,
used if that name is not defined.
.TP
.I TERM
standard UNIX terminal type.
.\"=====================================================================
.SH FILES
.TP \w'\fI/usr/local/bin/dired.hlp\fP'u+3n
.I /usr/local/bin/dired
Executable program.
.TP
.I /usr/local/src/dired
Source directory.
.TP
.I /usr/local/bin/dired.hlp
Help file for
.B ?
and
.BR h .
.\"=====================================================================
.SH "SEE ALSO"
.BR emacs (1),
.BR ls (1).
.BR more (1),
.BR re_comp (3),
.BR re_exec (3),
.BR termcap (1).
.BR vi (1),
.BR xterm (1).
.\"=====================================================================
.SH AUTHORS
Stuart Mclure Cracraft.
.PP
Enhancements by Jay Lepreau <lepreau@cs.utah.edu>.
.PP
Fixes and enhancements by Charles Hill.
.PP
Regular-expression support code by Tatu Ylonen <ylo@ngs.fi>.
.PP
Many fixes and enhancements, major revision of manual pages, support
for GNU
.I autoconfigure
(for simple installation), batch mode, and color support, by Nelson
H. F. Beebe \fC<beebe@math.utah.edu\fP>, who is the current maintainer
of
.BR dired .
.\"=====================================================================
.SH AVAILABILITY
.B dired
is freely available; its master distribution can
be found at
.PP
.RS
.nf
\&\fCftp://ftp.math.utah.edu/pub/misc\fP
.fi
.RE
.PP
in the file
.I dired-x.yy.tar.gz
where
.I x.yy
is the current version.  Other distribution
formats are usually available in the same
location.
.PP
That site is mirrored to several other Internet
archives, so you may also be able to find it
elsewhere on the Internet; try searching for the
string
.I dired
at one or more of the popular Web search sites,
such as
.PP
.RS
.nf
\&\fChttp://altavista.digital.com/
http://www.hotbot.com/
http://www.stpt.com/
http://www.yahoo.com/\fP
.fi
.RE
.\"=====================================================================
.SH BUGS
If lines wrap or overprint, it is likely that
.B dired
has an incorrect notion of the screen size.  This can happen on older
UNIX systems where the kernel does not track screen sizes, but
instead, leaves it up to the shell, which uses environment variables
named
.I LINES
(or
.IR ROWS )
and
.I COLUMNS
to record the screen dimensions.  Print those variables (e.g.,
.IR "echo $COLUMNS" ),
and use the
.B "stty -a"
command to see the kernel's settings, if any, correct them if needed,
and restart
.BR dired .
.PP
On some systems, if
.B dired
is running under a
.BR script (1)
session, the screen dimensions may be incorrect, and can be reset in
the same way as above.
.\" .br
.\" @@@ gam Sun Apr 1  8:00:11 PM PST 1984 original version
.\"==============================[The End]==============================
