#ifndef TERM_H_DEFINED
#define TERM_H_DEFINED 1

#if defined(__sgi) && (defined(__cplusplus) || defined(c_plusplus))
extern "C" {	/* vendor failed to declare curses.h and term.h functions in C mode */
#define bool BOOLEAN	/* and avoid conflict with C++ reserved word */
#if defined(__GNUG__)
typedef char BOOLEAN;	/* g++'s <curses.h> does not do "typedef char bool;" */
#endif
#endif

#if defined(HAVE_CURSES_H)
#include <curses.h>
#endif

#if defined(HAVE_TERM_H)
#include <term.h>			/* for tgetent() et al prototypes */
					/* must come AFTER <curses.h> */
#endif

#if defined(__sgi) && (defined(__cplusplus) || defined(c_plusplus))
#undef bool
}
#endif

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

#if !defined(HAVE_TGETSTR_DECLARATION)
extern char	*tgetstr ARGS((const char *, char **));
#endif

#if !defined(HAVE_TGOTO_DECLARATION)
extern char	*tgoto ARGS((const char *cap, int col, int row));
#endif

#if !defined(HAVE_TGETENT_DECLARATION)
extern int	tgetent ARGS((const char *bp, const char *name));
#endif

#if !defined(HAVE_TGETNUM_DECLARATION)
extern int	tgetnum ARGS((const char *cap));
#endif

#if !defined(HAVE_TPUTS_DECLARATION)
extern int	tputs ARGS((const char *cap, int affcnt, int (*outc)(int)));
#endif

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif /* TERM_H_DEFINED */
